#### PyKDE - Python Bindings for KDE

# class KDateInternalYearSelector |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KDateInternalYearSelector
Inherits | QLineEdit

### methods

- KDateInternalYearSelector (parent = 0, name = 0)

  returns a KDateInternalYearSelector instance
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0
  name | char | 0

- KDateInternalYearSelector (a0, a1 = 0, a2 = 0)

  returns a KDateInternalYearSelector instance
  In versions less than KDE 3.2.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | int |
  a1 | QWidget | 0
  a2 | char | 0

- closeMe (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- getYear ()

  returns (int)

- setYear (year)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  year | int |

- yearEnteredSlot ()

  returns nothing